#include <iostream>
#include <algorithm>
#include <cassert>
#include <vector>
#include <cmath>

using namespace std;

#define LEFT true
#define RIGHT false

struct ant
{
	ant(){};
	ant(bool _dir, int _pos): dir(_dir),pos(_pos)
	{ }
	bool operator<(ant& other)
	{
		return pos < other.pos;
	}

	bool dir;
	int pos;
};

int whois(int a, vector<ant> &ants)
{
	bool dir = ants[a].dir;	
	int current = ants[a].pos;
	int dist = dir==LEFT? current: length-current;
	int lb = dir==LEFT? 0: a+1;
	int rb = dir==LEFT? a-1: length;
	while(lb<=rb && lb>=0 && rb<ants.size())
	{
		if(dir==LEFT)
		{
			bool found=false;
			for(int i=lb; i<=rb; ++i)
			{
				if(ants[i].dir==RIGHT)
				{
					current=ants[i].pos;
					lb = i+1;
					dir = !dir;
					found=true;
					break;
				}
			}
			if(!found) break;
		}
		else if(dir==RIGHT)
		{
			bool found=false;
			for(int i=rb; i>=lb; --i)
			{
				if(ants[i].dir==LEFT)
				{
					current=ants[i].pos;
					rb = i-1;
					dir = !dir;
					found=true;
					break;
				}
			}
			if(!found) break;
		}
	}
}

int main()
{
	while(true)
	{
		int length, ants;
		cin >> length >> ants;
		if(!cin) break;
		vector<ant> ants;
		for(int i=0; i<ants; ++i)
		{
			int pos;
			string dir;
			cin >> pos >> dir;
			if(dir=="L")
			{
				ants.push_back(ant(LEFT, pos));
			}
			else if(dir=="R")
		for(vector<int>::iterator a=ants.begin(); a!=ants.end(); ++a)
		{
		}
			{
				ants.push_back(ant(RIGHT, pos));
			}
		}

		std::sort(ants.begin(), ants.end());


		if(positions.size()==1)
		{
			cout << "The last ant will fall down in "<<m<<" seconds - started at "<<positions[0]<<"."<<endl;
		}
		else
		{
			cout << "The last ant will fall down in "<<m<<" seconds - started at "<<positions[0]<<
				" and "<<positions[1]<<"."<<endl;
		}
		for (int i=0; i<positions.size(); ++i)
		{
			cout << positions[i] << endl;

		} 
	}
	return 0;
}

